=== debian/changelog ===
libwebsockets (2.0.3-3build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:52 +0000

libwebsockets (2.0.3-3) unstable; urgency=medium

  * Build with Unix domain socket support (closes: #860884).
  * Be the primary maintainer, thanks to Peter for all the fish.
  * Update Standards-Version to 4.0.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 Sep 2017 16:47:12 +0000

libwebsockets (2.0.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * stop-gap: set -Wno-error={format-truncation,format-overflow
    (Closes: #853515)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 23 Aug 2017 21:53:14 +0200

libwebsockets (2.0.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 03 Nov 2016 19:04:11 +0200

libwebsockets (2.0.3-1) experimental; urgency=medium

  * Add the typos patch to correct some typographical errors.
  * Fix the upstream Git URLs in the watch file and the upstream
    metadata file to reflect another URL change on libwebsockets.org.
  * Use the HTTPS scheme for the copyright format specification URL.
  * Use a pregenerated test server SSL key to make the build reproducible.
    Closes: #831569; thanks, Chris Lamb!
  * Fix the build with OpenSSL 1.1.  Closes: #828416; thanks, Kurt Roeckx!
  * New upstream release:
    - add the new lws_snprintf function to the symbols file
    - add the soname-8 patch to avoid a SONAME bump merely for
      an added function
  * Point the Vcs-* URLs to the debian-v2.0-stable branch.
  * Bump the debhelper compatibility level to 10:
    - drop --parallel from the dh invocation, it is the default now

 -- Peter Pentchev <roam@ringlet.net>  Sun, 02 Oct 2016 02:27:22 +0300

libwebsockets (2.0.2-1) experimental; urgency=low

  * New upstream release.
  * Library transition from libwebsockets7 to libwebsockets8 .
  * Update symbols file.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Jun 2016 11:46:05 +0000
