## libwebsockets 2.4.2

=== debian/changelog ===
libwebsockets (2.4.2-1) experimental; urgency=medium

  * Declare compliance with Debian Policy 4.1.3 with no changes.
  * Add 2017 and 2018 to the debian/* copyright years.
  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Let dpkg-dev handle Large File Support.
  * Bump the debhelper compatibility level to 11 with no changes.
  * Update the watch file to version 4 of the format and use the new
    substitution variables.
  * New upstream release:
    - point the Vcs-* URLs to the debian-v2.4-stable branch
    - drop the typos, soname-8, and openssl-1.1 patches, applied upstream
    - update the library SONAME from 8 to 12 and update the symbols file
    - do not try to install the API reference documentation
    - install all the files from the READMEs/ directory
    - add libcap-dev as a build dependency
    - update the upstream copyright information
    - place the missing source of md5.min.js into debian/missing-sources/
      and also symlink it to lwsgs.js, since that's the part that is
      missing from the latter file, too
  * Library transition from libwebsockets8 to libwebsockets12.
  * Add a trivial autopkgtest that builds a program.
  * Add two patches for the "echo" test client.
  * Add a "send and receive ten pings" autopkgtest.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 02 Mar 2018 20:39:44 +0200
