=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: libwebsockets
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Uploaders: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>= 10), cmake, libev-dev, libssl-dev, libuv1-dev,
+Build-Depends: debhelper (>> 11~), cmake, libcap-dev, libev-dev, libssl-dev, libuv1-dev,
 	openssl, zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://libwebsockets.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libwebsockets.git -b debian-v2.0-stable
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libwebsockets.git/log/?h=debian-v2.0-stable
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libwebsockets.git -b debian-v2.4-stable
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libwebsockets.git/log/?h=debian-v2.4-stable
+Rules-Requires-Root: no
 
-Package: libwebsockets8
+Package: libwebsockets12
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -26,8 +26,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libwebsockets8 (= ${binary:Version}), libev-dev, libssl-dev,
-	libuv1-dev, zlib1g-dev, ${misc:Depends}
+Depends: libwebsockets12 (= ${binary:Version}), libev-dev, libssl-dev,
+	libuv1-dev, zlib1g-dev, libcap-dev, ${misc:Depends}
 Description: lightweight C websockets library - development files
  Libwebsockets is a lightweight pure C library for both websockets
  clients and servers built to use minimal CPU and memory resources
@@ -40,7 +40,7 @@
 Section: utils
 Architecture: any
 Multi-Arch: foreign
-Depends: libwebsockets8 (= ${binary:Version}),
+Depends: libwebsockets12 (= ${binary:Version}),
 	libwebsockets-test-server-common (= ${source:Version}),
 	${shlibs:Depends}, ${misc:Depends}
 Description: lightweight C websockets library - test servers
