=== debian/watch ===
version=4
opts="uversionmangle=s/^([1-9][0-9]*\.[0-9])([1-9])/$1.$2/" \
https://libwebsockets.org/git/libwebsockets/refs/ .*libwebsockets-([1-9][0-9.]*)[a-z0-9.-]*@ARCHIVE_EXT@
